Bug 242713 - Requesting backport of upstream fix for potential corruption in selectall_arrayref and selectrow_arrayref for compiled drivers
Requesting backport of upstream fix for potential corruption in selectall_arr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBI (Show other bugs)
4.5
All Linux
high Severity high
: ---
: ---
Assigned To: Stepan Kasal
:
Depends On:
Blocks: 246627
  Show dependency treegraph
 
Reported: 2007-06-05 10:37 EDT by Martin Poole
Modified: 2010-10-22 11:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
simplified patch derived from upstream (548 bytes, patch)
2007-06-05 10:37 EDT, Martin Poole
no flags Details | Diff

  None (edit)
Description Martin Poole 2007-06-05 10:37:16 EDT
Description of problem:

Requesting backport of upstream fix for potential corruption in
selectall_arrayref and selectrow_arrayref for compiled drivers

Version-Release number of selected component (if applicable):

perl-DBI-1.40-8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Attached patch is relevant portions of upstream changes relevant to the specific
bugs.

http://svn.perl.org/viewcvs/modules/dbi/trunk/Driver.xst?view=patch&r1=9454&r2=9453&pathrev=9454
http://svn.perl.org/viewcvs/modules/dbi/trunk/Driver_xst.h?view=patch&r1=9454&r2=9453&pathrev=9454
Comment 1 Martin Poole 2007-06-05 10:37:18 EDT
Created attachment 156228 [details]
simplified patch derived from upstream
Comment 2 Robin Norwood 2007-06-13 17:27:30 EDT
Hi Martin,

Me again - do we have a reproducer/test case for this issue, so I can verify
what the patch fixes?
Comment 3 Issue Tracker 2007-07-23 09:30:48 EDT
I'm not aware of a reproducer.
There appears to be no corresponding test code either.


Issue escalated to RHEL 4 Base OS by: mpoole.
Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by mpoole 
 issue 122903
Comment 4 RHEL Product and Program Management 2008-02-01 14:07:09 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2008-07-24 15:36:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0686.html

Note You need to log in before you can comment on or make changes to this bug.